import request from '@/utils/request'


//
export function getInquiryOrderList(query) {
  return request({
    url: '/app/inquiryOrder/getInquiryOrderList',
    method: 'get',
    params: query
  })
}
export function getCompanyList() {
  return request({
    url: '/app/inquiryOrder/getCompanyList',
    method: 'get'
  })
}

// 查询收货人电话
export function getOrderUserPhone(orderId) {
  return request({
    url: '/app/inquiryOrder/queryPhone/' + orderId,
    method: 'get'
  })
}
export function getInquiryOrderDetailsByOrderId(orderId) {
  return request({
    url: '/app/inquiryOrder/getInquiryOrderDetailsByOrderId',
    method: 'get',
    params: {
      orderId: orderId
    }
  })
}

export function getInquiryOrderById(orderId) {
  return request({
    url: '/app/inquiryOrder/getInquiryOrderById',
    method: 'get',
    params: {
      orderId: orderId
    }
  })
}

export function getInquiryOrderReport(orderId) {
  return request({
    url: '/app/inquiryOrder/getInquiryOrderReport',
    method: 'get',
    params: {
      orderId: orderId
    }
  })
}

//接单
export function receiveOrder(data) {
  return request({
    url: '/app/inquiryOrder/receiveOrder',
    method: 'post',
    data: data
  })
}

//抢单
export function acceptOrder(data) {
  return request({
    url: '/app/inquiryOrder/acceptOrder',
    method: 'post',
    data: data
  })
}

//拒单
export function refuseOrder(data) {
  return request({
    url: '/app/inquiryOrder/refuseOrder',
    method: 'post',
    data: data
  })
}

//完成订单
export function finishOrder(data) {
  return request({
    url: '/app/inquiryOrder/finishOrder',
    method: 'post',
    data: data
  })
}

export function submitInquiryOrderReport(data) {
  return request({
    url: '/app/inquiryOrder/submitInquiryOrderReport',
    method: 'post',
    data: data
  })
}
export function updateRemark(data) {
  return request({
    url: '/app/inquiryOrder/updateRemark',
    method: 'put',
    data: data
  })
}
export function inquiryOrderPingList(query) {
  return request({
    url: '/app/inquiryOrder/getInquiryOrderPingList',
    method: 'get',
    params: query
  })
}

export function getInquiryOrderMsgList(query) {
  return request({
    url: '/app/inquiryOrder/getInquiryOrderMsgList',
    method: 'get',
    params: query
  })
}



